<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('product_details', function (Blueprint $table) {
            $table->id();

            $table->string('main_cat_id')->nullable();
            $table->string('subcat_id')->nullable();
            $table->string('product_name')->nullable();
            $table->string('product_name_slug')->nullable();
            $table->string('product_image')->nullable();
            $table->longText('product_description1')->nullable();
            $table->longText('product_table1')->nullable();
            $table->longText('product_table2')->nullable();
            $table->longText('product_table3')->nullable();
            $table->longText('product_color_description')->nullable();
            $table->string('product_colorwise_image')->nullable();
            $table->longText('product_more_description1')->nullable();
            $table->string('heading1')->nullable();
            $table->longText('content1')->nullable();
            $table->string('heading2')->nullable();
            $table->longText('content2')->nullable();
            $table->string('heading3')->nullable();
            $table->longText('content3')->nullable();
            $table->longText('more_description2')->nullable();
            $table->string('more_heading1')->nullable();
            $table->longText('more_content1')->nullable();
            $table->string('more_heading2')->nullable();
            $table->longText('more_content2')->nullable();
            $table->string('more_heading3')->nullable();
            $table->longText('more_content3')->nullable();
            $table->string('more_heading4')->nullable();
            $table->longText('more_content4')->nullable();
            $table->string('more_heading5')->nullable();
            $table->longText('more_content5')->nullable();
            $table->string('more_heading6')->nullable();
            $table->longText('more_content6')->nullable();
            $table->longText('model_section_table_description')->nullable();
            $table->longText('another_description')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('product_details');
    }
};
